COMMIT(7)

NAME
COMMIT - commit the current transaction

SYNOPSIS

COMMIT [ WORK | TRANSACTION ]

DESCRIPTION

    Note

    The following description applies both to Postgres-XC and PostgreSQL if not described explicitly.

COMMIT commits the current transaction. All changes made by the transaction become visible to others and are guaranteed to be durable if a crash occurs.

PARAMETERS

WORK, TRANSACTION
    Optional key words. They have no effect.

NOTES

Use ROLLBACK(7) to abort a transaction.

Issuing COMMIT when not inside a transaction does no harm, but it will provoke a warning message.

    Note

    The following description applies only to Postgres-XC

When more than one node are involved in a transaction, commit may be assosicated with inplicit 2PC and PREPARE command will be issued internaly. In this case, application may have additional restriction related to 2PC restrictions.

EXAMPLES

To commit the current transaction and make all changes permanent:

    COMMIT;

COMPATIBILITY

The SQL standard only specifies the two forms COMMIT and COMMIT WORK. Otherwise, this command is fully conforming.

SEE ALSO
BEGIN(7), ROLLBACK(7)